# gdcm::CodeString Class Reference

CodeString. More...

`#include <gdcmCodeString.h>`

List of all members.

## Public Types
typedef Superclass::const_iterator | const_iterator
typedef Superclass::const_reference | const_reference
typedef Superclass::const_reverse_iterator | const_reverse_iterator
typedef Superclass::difference_type | difference_type
typedef Superclass::iterator | iterator
typedef Superclass::pointer | pointer
typedef Superclass::reference | reference
typedef Superclass::reverse_iterator | reverse_iterator
typedef Superclass::size_type | size_type
typedef String<'\\', 16 > | Superclass
typedef Superclass::value_type | value_type
## Public Member Functions
| CodeString (const Superclass &s, size_type pos=0, size_type n=npos)
| CodeString (const value_type *s, size_type n)
| CodeString (const value_type *s)
| CodeString ()
bool | IsValid () const

## Detailed Description

CodeString.

Note:
  TODO

## Member Typedef Documentation

typedef Superclass::const_iterator gdcm::CodeString::const_iterator

typedef Superclass::const_reference gdcm::CodeString::const_reference

typedef Superclass::const_reverse_iterator gdcm::CodeString::const_reverse_iterator

typedef Superclass::difference_type gdcm::CodeString::difference_type

typedef Superclass::iterator gdcm::CodeString::iterator

typedef Superclass::pointer gdcm::CodeString::pointer

typedef Superclass::reference gdcm::CodeString::reference

typedef Superclass::reverse_iterator gdcm::CodeString::reverse_iterator

typedef Superclass::size_type gdcm::CodeString::size_type

typedef String<'\\',16> gdcm::CodeString::Superclass

typedef Superclass::value_type gdcm::CodeString::value_type

## Constructor & Destructor Documentation

gdcm::CodeString::CodeString | ( |  | ) | `[inline]`

gdcm::CodeString::CodeString | ( | const value_type * | s | ) | `[inline]`

gdcm::CodeString::CodeString | ( | const value_type * | s,
|  | size_type | n |
| ) |  |  | `[inline]`

gdcm::CodeString::CodeString | ( | const Superclass & | s,
|  | size_type | pos = `0`,
|  | size_type | n = `npos` |
| ) |  |  | `[inline]`

## Member Function Documentation

bool gdcm::CodeString::IsValid | ( |  | ) | const

The documentation for this class was generated from the following file:

- gdcmCodeString.h